Subject: Re: [Tsvwg] SCTP and fragmentation at IP level

From: "Randall R. Stewart (home)" <[email-masked]>
Date: Mon, 01 Dec 2003 08:15:47 -0600

Pekka Pessi wrote:

>Hello all,
>
>In the section 2.16 of draft-ietf-tsvwg-sctpimpguide-09.txt the
>fragmentation and reassembly section says (new text):
>
>   ... If an implementation does not support fragmentation of outbound
>   user messages, the endpoint must return an error to its upper layer
>   and not attempt to send the user message.
>
>   Note: If an implementation that supports fragmentation makes
>   available to its upper layer a mechanism to turn off fragmentation
>   it may do so. However in so doing, it MUST react just like an
>   implementation that does NOT support fragmentation i.e. it MUST
>   reject sends that exceed the current P-MTU.
>
>So, if we play the game widely known as "Say it in ALL CAPS" (a
>variation of "Simon says", ages 15 to 65) the 2960 could be interpreted
>allowing that if the SCTP implementation does not support fragmentation,
>it may as well try to send a message exceeding path MTU as a single IP
>datagram (that will be fragmented). Now the note in sctpimpguide seems
>to contradict the end of first paragraph.
>
>WOuld it be a nice idea not to play the game in first paragraph and do
>it in caps, like "the endpoint MUST return an error", "the endpoint
>SHOULD return an error" or "the endpoint MAY return an error"?
>
>--Pekka
>
>_______________________________________________
>tsvwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/tsvwg
>
>
>  
>
good catch.. we missed the captial letters in the first paragraph... not 
intentionally :-0
I don't think we can get this fix in -10 (it was submitted at the IETF 
on Wed.. not sure
why it has not popped out yet).. but I will get it into the XML for the 
next version :->

R

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg